<template>
  <div :class="$style.card">
    <slot name="default"></slot>
    <transition-group name="fade">
      <div :key="1">
        <slot v-if="!showSecondContent" name="content"></slot>
      </div>
    </transition-group>
    <transition-group name="fade">
      <div :key="2">
        <slot v-if="showSecondContent" name="contentSec"></slot>
      </div>
    </transition-group>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseCard",
  props: {
    showSecondContent: {
      type: Boolean,
      default: false,
      required: false
    }
  }
});
</script>

<style module lang="scss">
.card {
  padding: 2.5rem 2.5rem;
  border: 1px solid $color--border;
  width: 100%;
}

@media screen and (max-width: $device-size--desktop-laptop) {
  .card {
    padding: 1rem 1rem;
    box-sizing: border-box;
  }
}

@media screen and (max-width: $device-size--tablet) {
  .card {
    padding: 1rem 1rem;
    box-sizing: border-box;
  }
}

@media screen and (max-width: $device-size--mobile-large) {
  .card {
    padding: 1rem 1rem;
  }
}
</style>
